Subject: Re: bug#20821: 24.5; ido-mode autocompletion failure aborts find-file when attempting to use tramp

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Dec 2015 17:44:28 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 13 Dec 2015 13:58:36 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Ah, okay.
> >
> > So I've just did this in the current emacs-25 branch:
> >
> >  emacs -Q
> >  M-x ido-mode RET
> >  C-x C-f /plinkx:eliz@
> >
> > and sure enough, I get the same error as the OP (except in my case the
> > drive letter is 'd:').
> 
> I've committed a patch in ido.el to the emacs-25 branch. It's a little
> bit simple-minded, but everything I've tried Tramp internally, made it
> much more complex, and resulted in other errors.
> 
> Pls cross-check the patch.

Thanks, the error is no longer signaled.

> PS: the example is wrong. The plinkx method uses sessions from PuTTY, it
> never honors a user name specified in the remote file name.

Hmm... but I cannot seem to get any useful completion for session
names I have saved in PuTTY.  Whatever I type after "/plinkx:", I get
just "[No match]".  It doesn't matter if ido-mode is active or not (in
the latter case, I tried to type TAB to get some completions).  What
am I missing?